Retrieve Customer
GET/customers/:customer_id
Retrieves a customer based on the provided customer ID
Request
Path Parameters
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Customer's ID
Responses
- 200
- 401
- 403
- 404
- 500
Customer retrieved
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [success]
data
object
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
UUID v4
Possible values: <= 255 characters
First name of the customer
Possible values: <= 255 characters
Last name/s of the customer
Possible values: <= 255 characters
Email Address
dob
object
Birthdate for an individual
Possible values: <= 10 characters
Possible values: non-empty and <= 20 characters
Phone Number
address
object
Possible values: >= 2 characters and <= 2 characters
Two-letter code ISO 3166-1 country code
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
shipping
object
Possible values: <= 255 characters
Name of the shipping contact person
Possible values: non-empty and <= 20 characters
Phone Number
address
object
required
Address of the shipping destination
Possible values: >= 2 characters and <= 2 characters
Two-letter code ISO 3166-1 country code
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: <= 255 characters
Possible values: [unverified, pending, verified, errored]
Customer's verification status
Unix timestamp representing the date
Possible values: [200]
Possible values: [Successful request]
{
"status": "success",
"data": {
"id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"merchant_id": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"first_name": "Peter",
"last_name": "Griffin",
"email": "peter@pathly.io",
"dob": {
"day": 9,
"month": 11,
"year": 1989
},
"ssn": "123-456789",
"phone_number": "1234567890",
"address": {
"country": "US",
"line1": "Passatge sant pere",
"line2": "Apartment 2",
"zip": "8397.0",
"city": "Pineda de mar",
"state": "Barcelona"
},
"shipping": {
"name": "Louis Griffin",
"phone_number": "1234567890",
"address": {
"country": "US",
"line1": "Passatge sant pere",
"line2": "Apartment 2",
"zip": "8397.0",
"city": "Pineda de mar",
"state": "Barcelona"
}
},
"status": "unverified",
"created_on": 1656656767
},
"code": 200,
"message": "Successful request"
}
Access token is missing or invalid
Access denied
Customer not found
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [not found]
Possible values: [404]
Failure reason
{
"status": "not found",
"code": 404,
"message": "Entity not found"
}
Server error